🚧 [Experimental] Get editor chart
Returns the specified Editor chart.
Request
POST
https://api.datalens.tech/rpc/getEditorChart
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
|
x-dl-audit-mode |
Type: string Const: Example: `` |
Body
application/json
{
"chartId": "example",
"workbookId": "example",
"revId": "example",
"includePermissions": true,
"includeLinks": true,
"includeFavorite": true,
"branch": "saved"
}
|
Name |
Description |
|
chartId |
Type: string ID of the Editor chart to return. You can find it in the chart settings in DataLens interface. Example: |
|
branch |
Type: EntryBranch Entry branch: saved or published. Enum: |
|
includeFavorite |
Type: boolean Include favorite status in the response. |
|
includeLinks |
Type: boolean Include information on configured links in the response. |
|
includePermissions |
Type: boolean Include information on configured permissions in the response. |
|
revId |
Type: string Version ID for the Editor chart. Example: |
|
workbookId |
Type: string | null ID of the workbook the Editor chart belongs to. If navigation across folders is enabled and the Editor chart belongs to a folder, the value must be null. Example: |
EntryBranch
Entry branch: saved or published.
Type: string
Enum: saved, published
Responses
200 OK
Response
Body
application/json
{
"entry": {
"version": 1,
"entryId": "example",
"key": null,
"createdAt": "example",
"createdBy": "example",
"updatedAt": "example",
"updatedBy": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"tenantId": "example",
"hidden": true,
"public": true,
"workbookId": null,
"scope": "widget",
"meta": {},
"links": {},
"annotation": {
"description": "example"
},
"type": "table_node",
"data": {
"meta": "example",
"params": "example",
"sources": "example",
"controls": "example",
"prepare": "example",
"config": "example"
}
},
"isFavorite": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
}
|
Name |
Description |
||||||||
|
entry |
One of 5 types
Example
|
||||||||
|
isFavorite |
Type: boolean Indicates if the chart is marked as favorite. |
||||||||
|
permissions |
Type: object
Permissions for the chart. Example
|
EditorTableNode
|
Name |
Description |
||||||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||||||
|
createdBy |
Type: string Creator of the entry. Example: |
||||||||||||
|
data |
Type: object
Example
|
||||||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||||||
|
hidden |
Type: boolean Indicates if the entry is hidden. |
||||||||||||
|
key |
Any of 3 types
Key identifier of the entry. Example: |
||||||||||||
|
meta |
Type: object | null Metadata associated with the entry. Example
|
||||||||||||
|
public |
Type: boolean Indicates if the entry is public. |
||||||||||||
|
publishedId |
Type: string | null Published version ID. Example: |
||||||||||||
|
revId |
Type: string Version ID for the Editor chart. Example: |
||||||||||||
|
savedId |
Type: string Saved version ID. Example: |
||||||||||||
|
scope |
Type: string Type of the entry. For charts takes value: widget Const: Example: |
||||||||||||
|
tenantId |
Type: string Tenant ID. Example: |
||||||||||||
|
type |
Type: string For Table Editor charts takes value: table_node Const: Example: |
||||||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||||||
|
updatedBy |
Type: string Last updater of the entry. Example: |
||||||||||||
|
version |
Type: number Editor version. Const: |
||||||||||||
|
workbookId |
Any of 3 types
ID of the workbook the Editor chart belongs to. Example: |
||||||||||||
|
annotation |
Type: object | null Annotation information. Example
|
||||||||||||
|
links |
Type: object | null Link information. Example
|
Example
{
"version": 1,
"entryId": "example",
"key": null,
"createdAt": "example",
"createdBy": "example",
"updatedAt": "example",
"updatedBy": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"tenantId": "example",
"hidden": true,
"public": true,
"workbookId": null,
"scope": "widget",
"meta": {},
"links": {},
"annotation": {
"description": "example"
},
"type": "table_node",
"data": {
"meta": "example",
"params": "example",
"sources": "example",
"controls": "example",
"prepare": "example",
"config": "example"
}
}
EditorGravityChartsNode
|
Name |
Description |
||||||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||||||
|
createdBy |
Type: string Creator of the entry. Example: |
||||||||||||
|
data |
Type: object
Example
|
||||||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||||||
|
hidden |
Type: boolean Indicates if the entry is hidden. |
||||||||||||
|
key |
Any of 3 types
Key identifier of the entry. Example: |
||||||||||||
|
meta |
Type: object | null Metadata associated with the entry. Example
|
||||||||||||
|
public |
Type: boolean Indicates if the entry is public. |
||||||||||||
|
publishedId |
Type: string | null Published version ID. Example: |
||||||||||||
|
revId |
Type: string Version ID for the Editor chart. Example: |
||||||||||||
|
savedId |
Type: string Saved version ID. Example: |
||||||||||||
|
scope |
Type: string Type of the entry. For charts takes value: widget Const: Example: |
||||||||||||
|
tenantId |
Type: string Tenant ID. Example: |
||||||||||||
|
type |
Type: string For D3 Editor charts takes value: d3_node Const: Example: |
||||||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||||||
|
updatedBy |
Type: string Last updater of the entry. Example: |
||||||||||||
|
version |
Type: number Editor version. Const: |
||||||||||||
|
workbookId |
Any of 3 types
ID of the workbook the Editor chart belongs to. Example: |
||||||||||||
|
annotation |
Type: object | null Annotation information. Example
|
||||||||||||
|
links |
Type: object | null Link information. Example
|
Example
{
"version": 1,
"entryId": "example",
"key": null,
"createdAt": "example",
"createdBy": "example",
"updatedAt": "example",
"updatedBy": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"tenantId": "example",
"hidden": true,
"public": true,
"workbookId": null,
"scope": "widget",
"meta": {},
"links": {},
"annotation": {
"description": "example"
},
"type": "d3_node",
"data": {
"meta": "example",
"params": "example",
"sources": "example",
"controls": "example",
"prepare": "example",
"config": "example"
}
}
EditorMarkdownNode
|
Name |
Description |
||||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||||
|
createdBy |
Type: string Creator of the entry. Example: |
||||||||||
|
data |
Type: object
Example
|
||||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||||
|
hidden |
Type: boolean Indicates if the entry is hidden. |
||||||||||
|
key |
Any of 3 types
Key identifier of the entry. Example: |
||||||||||
|
meta |
Type: object | null Metadata associated with the entry. Example
|
||||||||||
|
public |
Type: boolean Indicates if the entry is public. |
||||||||||
|
publishedId |
Type: string | null Published version ID. Example: |
||||||||||
|
revId |
Type: string Version ID for the Editor chart. Example: |
||||||||||
|
savedId |
Type: string Saved version ID. Example: |
||||||||||
|
scope |
Type: string Type of the entry. For charts takes value: widget Const: Example: |
||||||||||
|
tenantId |
Type: string Tenant ID. Example: |
||||||||||
|
type |
Type: string For Markdown Editor charts takes value: markdown_node Const: Example: |
||||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||||
|
updatedBy |
Type: string Last updater of the entry. Example: |
||||||||||
|
version |
Type: number Editor version. Const: |
||||||||||
|
workbookId |
Any of 3 types
ID of the workbook the Editor chart belongs to. Example: |
||||||||||
|
annotation |
Type: object | null Annotation information. Example
|
||||||||||
|
links |
Type: object | null Link information. Example
|
Example
{
"version": 1,
"entryId": "example",
"key": null,
"createdAt": "example",
"createdBy": "example",
"updatedAt": "example",
"updatedBy": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"tenantId": "example",
"hidden": true,
"public": true,
"workbookId": null,
"scope": "widget",
"meta": {},
"links": {},
"annotation": {
"description": "example"
},
"type": "markdown_node",
"data": {
"meta": "example",
"params": "example",
"sources": "example",
"controls": "example",
"prepare": "example"
}
}
EditorAdvancedChartNode
|
Name |
Description |
||||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||||
|
createdBy |
Type: string Creator of the entry. Example: |
||||||||||
|
data |
Type: object
Example
|
||||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||||
|
hidden |
Type: boolean Indicates if the entry is hidden. |
||||||||||
|
key |
Any of 3 types
Key identifier of the entry. Example: |
||||||||||
|
meta |
Type: object | null Metadata associated with the entry. Example
|
||||||||||
|
public |
Type: boolean Indicates if the entry is public. |
||||||||||
|
publishedId |
Type: string | null Published version ID. Example: |
||||||||||
|
revId |
Type: string Version ID for the Editor chart. Example: |
||||||||||
|
savedId |
Type: string Saved version ID. Example: |
||||||||||
|
scope |
Type: string Type of the entry. For charts takes value: widget Const: Example: |
||||||||||
|
tenantId |
Type: string Tenant ID. Example: |
||||||||||
|
type |
Type: string For Advanced Editor charts takes value: advanced-chart_node Const: Example: |
||||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||||
|
updatedBy |
Type: string Last updater of the entry. Example: |
||||||||||
|
version |
Type: number Editor version. Const: |
||||||||||
|
workbookId |
Any of 3 types
ID of the workbook the Editor chart belongs to. Example: |
||||||||||
|
annotation |
Type: object | null Annotation information. Example
|
||||||||||
|
links |
Type: object | null Link information. Example
|
Example
{
"version": 1,
"entryId": "example",
"key": null,
"createdAt": "example",
"createdBy": "example",
"updatedAt": "example",
"updatedBy": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"tenantId": "example",
"hidden": true,
"public": true,
"workbookId": null,
"scope": "widget",
"meta": {},
"links": {},
"annotation": {
"description": "example"
},
"type": "advanced-chart_node",
"data": {
"meta": "example",
"params": "example",
"sources": "example",
"controls": "example",
"prepare": "example"
}
}
EditorSelectorNode
|
Name |
Description |
||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||
|
createdBy |
Type: string Creator of the entry. Example: |
||||||||
|
data |
Type: object
Example
|
||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||
|
hidden |
Type: boolean Indicates if the entry is hidden. |
||||||||
|
key |
Any of 3 types
Key identifier of the entry. Example: |
||||||||
|
meta |
Type: object | null Metadata associated with the entry. Example
|
||||||||
|
public |
Type: boolean Indicates if the entry is public. |
||||||||
|
publishedId |
Type: string | null Published version ID. Example: |
||||||||
|
revId |
Type: string Version ID for the Editor chart. Example: |
||||||||
|
savedId |
Type: string Saved version ID. Example: |
||||||||
|
scope |
Type: string Type of the entry. For charts takes value: widget Const: Example: |
||||||||
|
tenantId |
Type: string Tenant ID. Example: |
||||||||
|
type |
Type: string For Editor JS selectors takes value: control_node Const: Example: |
||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||
|
updatedBy |
Type: string Last updater of the entry. Example: |
||||||||
|
version |
Type: number Editor version. Const: |
||||||||
|
workbookId |
Any of 3 types
ID of the workbook the Editor chart belongs to. Example: |
||||||||
|
annotation |
Type: object | null Annotation information. Example
|
||||||||
|
links |
Type: object | null Link information. Example
|
Example
{
"version": 1,
"entryId": "example",
"key": null,
"createdAt": "example",
"createdBy": "example",
"updatedAt": "example",
"updatedBy": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"tenantId": "example",
"hidden": true,
"public": true,
"workbookId": null,
"scope": "widget",
"meta": {},
"links": {},
"annotation": {
"description": "example"
},
"type": "control_node",
"data": {
"meta": "example",
"params": "example",
"sources": "example",
"controls": "example"
}
}